Subject: Re: 23.1.50; Weird display when wrap-prefix contains tabs

From: Chong Yidong <[email-masked]>
Date: Sat, 05 Dec 2009 16:14:52 -0500

> This patch seems to correct the behavior:
>
> --- a/src/xdisp.c
> +++ b/src/xdisp.c
> @@ -21380,7 +21380,7 @@ x_produce_glyphs (it)
>  	  if (font->space_width > 0)
>  	    {
>  	      int tab_width = it->tab_width * font->space_width;
> -	      int x = it->current_x + it->continuation_lines_width;
> +	      int x = it->current_x;
>  	      int next_tab_x = ((1 + x + tab_width - 1) / tab_width) * tab_width;
>
>  	      /* If the distance from the current position to the next tab

The "+ it->continuation_lines_width" was added for a reason.  IIRC, it
is so that continued lines containing tabs are displayed correctly.